Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229994 - vncserver does not honor /etc/security/limits.conf
Summary: vncserver does not honor /etc/security/limits.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vnc
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 16:58 UTC by Rainer Traut
Modified: 2013-04-30 23:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 11:24:52 UTC


Attachments (Terms of Use)

Description Rainer Traut 2007-02-25 16:58:21 UTC
Description of problem:
vncserver does not honor /etc/security/limits.conf
E.g. setting nofile in /etc/security/limits.conf for an user and running the
vncserver init script the user is not alloed to open the set file limits.

Version-Release number of selected component (if applicable):
vnc-server-4.0-8.1

How reproducible:
always

Steps to Reproduce:
1. 
# cat /etc/security/limits.conf |grep nofile
tr              soft    nofile          4000
tr              hard    nofile          40000

# cat /etc/sysconfig/vncservers|grep tr
VNCSERVERS="2:tr"
VNCSERVERARGS[2]="-geometry 1152x864"

2. 
service vncserver start

3.
Connect to the session and watch the limits:
$ ulimit -n
1024

  
Actual results:
$ ulimit -n
1024

Expected results:
$ ulimit -n
40000


Additional info:
This is maybe a runuser problem as it does not use pam.
Using su instead of runuser in the initscript works.

Comment 4 Adam Tkac 2007-05-22 11:24:52 UTC
I discussed this problem with Daniel Walsh (selinux expert) and substitude
runuser by su could cause problems.

(from dwalsh: If su has the pam_selinux.so line in it with multiple specified, 
It could cause problems.)

For this I must close this bug. See also
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134594

Regards, Adam


Note You need to log in before you can comment on or make changes to this bug.